﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace MashupImageSearch.Model
{
    public abstract class PhotoServiceBase : IPhotoService
    {

        #region IPhotoService Members

        public virtual void SearchImageAsync(string keyword, int page, int perPage)
        {
            throw new NotImplementedException();
        }

        public event PhotoSearchEventHandler SearchImageCompleted;

        public void OnSearchImageCompleted(string keyword, List<Photo> photos)
        {
            if (SearchImageCompleted == null)
                return;

            SearchImageCompleted(keyword, photos);
        }

        #endregion
    }
}
