﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace MashupImageSearch.View
{
    public abstract class ViewModel : INotifyPropertyChanged
    {

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(params string[] parameters)
        {
            if (PropertyChanged == null)
                return;

            foreach (string param in parameters)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(param));
            }
        }

        #endregion
    }
}
