﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;

namespace MashupImageSearch.Model
{
    public delegate void PhotoSearchEventHandler(string keyword, List<Photo> photos);

    /// <summary>
    /// 사진데이터 클래스
    /// </summary>
    public class Photo
    {
        /// <summary>
        /// 타이틀
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 이미지 URL
        /// </summary>
        public string Url { get; set; }

        /// <summary>
        /// 미리보기 URL
        /// </summary>
        public string ThumbnailUrl { get; set; }

        /// <summary>
        /// 외부 링크
        /// </summary>
        public string Link { get; set; }
    }
}
